----------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
-- Governed under the terms of the IBM Public License
--
-- (C) COPYRIGHT International Business Machines Corp. 2999 - 2010
-- All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
----------------------------------------------------------------------------
--
-- Product Name:     DB2 Spatial Extender v9.7
--
-- Source File Name: seBankDemoTableData.db2
--
-- Version:          9.7.3
--
-- Description: 
--
--
--
-- For more information about the DB2 Spatial Extender Bank Demo scripts,
-- see the seBankDemoREADME.txt file.
--
-- For more information about DB2 SE, see the "DB2 Spatial Extender User Guide".
--
-- For the latest information on DB2 Spatial Extender and the Bank Demo
-- refer to the DB2 Spatial Extender website at
--     http://www.software.ibm.com/software/data/spatial/db2spatial
----------------------------------------------------------------------------

--==========================================================================   
--                     BRANCH DATA
--==========================================================================   
INSERT INTO se_demo.branches(
   BRANCH_ID, SE_ROW_ID, NAME, MANAGER, STREET, CITY, STATE, ZIP) VALUES
            (1, 1, 'Meridian', 'Francisco Villa', '1670 Meridian Ave', 'San Jose', 'CA', '95125'),
            (2, 2, 'San Carlos ','Stacey Nguyen', '580 San Carlos St', 'San Jose', 'CA', '95112');
-- end of BRANCH DATA

--==========================================================================   
--                     CUSTOMER DATA
--==========================================================================   
INSERT INTO se_demo.customers(
   CUSTOMER_ID, SE_ROW_ID, NAME, STREET, CITY, STATE, ZIP,CUSTOMER_TYPE) VALUES
(  124,   1,'James T.Kirk     ',' 855 Garden        Dr  ','San Jose','CA' ,'95126','NORMAL'),
(  125,   2,'Leonard McCoy    ',' 815 Garden        Dr  ','San Jose','CA' ,'95126','NORMAL'),
(  126,   3,'Hikaru Sulu      ','1849 University    Ave ','San Jose','CA' ,'95126','NORMAL'),
(  127,   4,'Michelle Nichols ','1649 University    Way ','San Jose','CA' ,'95126','NORMAL'),
(  135,   5,'Montgomery Scott ','2024 University    Ave ','San Jose','CA' ,'95128','NORMAL'),
(  136,   6,'Pavel Chekov     ',' 725 Bascom        Ave ','San Jose','CA' ,'95128','NORMAL'),
(  137,   7,'Willian Shattner ','1849 Mc Daniel     Ave ','San Jose','CA' ,'95126','NORMAL'),
(  138,   8,'Deforest Kelly   ',' 725 Garden        Dr  ','San Jose','CA' ,'95126','NORMAL'),
(  139,   9,'Walter Koenig    ','1779 Naglee        Ave ','San Jose','CA' ,'95126','NORMAL'),
(  156,  10,'James Lenard     ','2236 Central Park  Dr  ','San Jose','CA' ,'95008','NORMAL'),
(  157,  11,'Leonard Nimoy    ',' 805 Sweetbriar    Dr  ','San Jose','CA' ,'95008','NORMAL'),
(  158,  12,'George Takei     ',' 575 Cambrian      Dr  ','San Jose','CA' ,'95008','NORMAL'),
(  159,  13,'Jean Luc Picard  ',' 905 Sweetbriar    Dr  ','San Jose','CA' ,'95008','NORMAL'),
(  160,  14,'Willian Riker    ',' 515 Dallas        Dr  ','San Jose','CA' ,'95008','NORMAL'),
(  176,  15,'Patrick Stewart  ','1899 Cabana        Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  177,  16,'Jonathan Frakes  ','2031 Hurst         Ave ','San Jose','CA' ,'95125','NORMAL'),
(  178,  17,'Bervely Crusher  ','2078 Hurst         Ave ','San Jose','CA' ,'95125','NORMAL'),
(  179,  18,'Diana Troi       ','1699 Cabana        Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  180,  19,'Whesley Crusher  ','1974 Kocher        Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  181,  20,'Georgi La Forge  ','1649 Campbell      Ave ','San Jose','CA' ,'95125','NORMAL'),
(  262,  21,'James Cisko      ','2435 Aragon        Way ','San Jose','CA' ,'95125','NORMAL'),
(  263,  22,'Julian Bashir    ','1690 Curtner       Ave ','San Jose','CA' ,'95125','NORMAL'),
(  264,  23,'Jadzia Dax       ','2349 La Mirada     Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  265,  24,'Katryn Janeway   ','1749 Sweetbriar    Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  266,  25,'Bellana Torres   ','2326 Briarwood     Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  267,  26,'Tom Parris       ','1682 Curtner       Ave ','San Jose','CA' ,'95125','NORMAL'),
(  368,  27,'Naomi Wilderman  ','1933 Georgetta     Dr  ','San Jose','CA' ,'95125','NORMAL'),
(  369,  28,'Zeffren Cockrane ','1874 Cherry        Ave ','San Jose','CA' ,'95125','NORMAL'),
(  370,  29,'Jonh Sheridan    ','1800 Nomark        Ct  ','San Jose','CA' ,'95125','NORMAL'),
(  371,  30,'Michael Garibaldi','1974 Booksin       Ave ','San Jose','CA' ,'95125','NORMAL'),
(  372,  31,'Ben Franklin     ','1999 James         Pl  ','San Jose','CA' ,'95125','NORMAL'),
(  373,  32,'Talia de Winters ','1832 Georgetta     Dr  ','San Jose','CA' ,'95125','NORMAL'),
( 1007,  33,'Kosh Neranek     ',' 399 Mayellen      Ave ','San Jose','CA' ,'95126','NORMAL'),
( 1008,  34,'Zack Allan       ',' 304 Buena Vista   Ave ','San Jose','CA' ,'95126','NORMAL'),
( 1009,  35,'Lita Alexander   ','1587 Scott         St  ','San Jose','CA' ,'95126','NORMAL'),
( 1010,  36,'Susan Ivanova    ',' 549 Mayellen      Ave ','San Jose','CA' ,'95126','NORMAL'),
( 1011,  37,'Michael Bester   ','1567 Scott         St  ','San Jose','CA' ,'95126','NORMAL'),
( 1012,  38,'Fox Mulder       ','1554 Scott         St  ','San Jose','CA' ,'95126','NORMAL'),
( 1041,  39,'David Duchovny   ',' 524 Julian        St  ','San Jose','CA' ,'95110','NORMAL'),
( 1042,  40,'Danna Scully     ',' 250 Autumn        St  ','San Jose','CA' ,'95110','NORMAL'),
( 1043,  41,'David Skinner    ',' 575 Santa Clara   St  ','San Jose','CA' ,'95113','NORMAL'),
( 1044,  42,'Willian Boonne   ',' 150 Autumn        St  ','San Jose','CA' ,'95110','NORMAL'),
( 2127,  43,'Lilly Marquete   ',' 849 Vine          St  ','San Jose','CA' ,'95110','NORMAL'),
( 2128,  44,'James Sandoval   ',' 224 West Virginia St  ','San Jose','CA' ,'95110','NORMAL'),
( 2129,  45,'Lian Kinkaid     ',' 829 Almaden       Ave ','San Jose','CA' ,'95110','NORMAL'),
( 2130,  46,'Samantha Carter  ',' 149 West Virginia St  ','San Jose','CA' ,'95110','NORMAL'),
( 2131,  47,'Angela Cartwright',' 149 Sutter        St  ','San Jose','CA' ,'95110','NORMAL'),
( 2132,  48,'June Lockhart    ',' 274 Oak           St  ','San Jose','CA' ,'95110','NORMAL'),
( 2223,  49,'Billy Mummy      ','1999 Senter        Rd  ','San Jose','CA' ,'95112','NORMAL'),
( 2224,  50,'James Darren     ',' 649 Palm          St  ','San Jose','CA' ,'95110','NORMAL'),
( 2225,  51,'David Colbert    ','1949 10th          St  ','San Jose','CA' ,'95112','NORMAL'),
( 2226,  52,'Agnes Moghead    ','1791 Monterey      Hwy ','San Jose','CA' ,'95111','NORMAL'),
( 2227,  53,'Liz Montgomery   ','1100 Algiers       Ave ','San Jose','CA' ,'95122','NORMAL'),
( 2228,  54,'Dan Castanella   ','1286 Clemence      Ave ','San Jose','CA' ,'95122','NORMAL'),
( 2229,  55,'Nancy Cartwright ','1050 Walnut Woods  Dr  ','San Jose','CA' ,'95122','NORMAL'),
( 2154,  56,'Marcia Wallace   ',' 500 Phelan        Ave ','San Jose','CA' ,'95112','NORMAL'),
( 2155,  57,'Meggie Smith     ','1718 Senter        Rd  ','San Jose','CA' ,'95112','NORMAL'),
( 2156,  58,'Hank Azaria      ',' 623 Nordale       Ave ','San Jose','CA' ,'95112','NORMAL'),
( 2157,  59,'Paul Buchman     ','1799 Welch         Ave ','San Jose','CA' ,'95112','NORMAL'),
( 2158,  60,'Derek Whitestar  ','1665 10th          St  ','San Jose','CA' ,'95112','NORMAL'),
( 2159,  61,'Dorothy Lane     ',' 375 Phelan        Ave ','San Jose','CA' ,'95112','NORMAL'),
( 2160,  62,'Hemmet Brown     ','1799 10th          St  ','San Jose','CA' ,'95112','NORMAL'),
( 2161,  63,'Andrea Neal      ','1803 Senter        Rd  ','San Jose','CA' ,'95112','NORMAL'),
( 2162,  64,'James Oconor     ',' 500 Needles       Dr  ','San Jose','CA' ,'95112','NORMAL'),
( 3034,  65,'Idek Go          ',' 350 7th           St  ','San Jose','CA' ,'95112','NORMAL'),
( 3035,  66,'Kuai Chang Kaine ',' 225 Washington    St  ','San Jose','CA' ,'95112','NORMAL'),
( 3036,  67,'Max Power        ',' 350 6th           St  ','San Jose','CA' ,'95112','NORMAL'),
( 3037,  68,'Homer Simpson    ',' 375 Empire        St  ','San Jose','CA' ,'95112','NORMAL'),
( 3038,  69,'Margie Simpson   ',' 450 9th           St  ','San Jose','CA' ,'95112','NORMAL'),
( 3039,  70,'Lisa Simpson     ',' 425 Empire        St  ','San Jose','CA' ,'95112','NORMAL'),
( 3084,  71,'Bart Simpson     ','  50 28th          St  ','San Jose','CA' ,'95116','NORMAL'),
( 3085,  72,'Rafael Coss      ','1337 Santa Clara   St  ','San Jose','CA' ,'95116','NORMAL'),
( 3086,  73,'Bryan Patterson  ','  25 28th          St  ','San Jose','CA' ,'95116','NORMAL'),
( 3087,  74,'Jean Ho          ','1312 Santa Clara   St  ','San Jose','CA' ,'95116','NORMAL'),
( 3088,  75,'Knut Stolze      ','1329 Shortridge    Ave ','San Jose','CA' ,'95116','NORMAL'),
( 4030,  76,'Claire Suttle    ',' 949 Asbury        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4031,  77,'Andre Braga      ',' 725 Elm           St  ','San Jose','CA' ,'95126','NORMAL'),
( 4032,  78,'Tony Leung       ','1074 Taylor        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4033,  79,'Cheung-Yuk       ','1024 Taylor        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4034,  80,'Y. Morimoto      ',' 650 Myrtle        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4035,  81,'Gery Mueckenbauer',' 849 Asbury        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4036,  82,'David Adler      ',' 725 Laurel        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4037,  83,'Bob Shoberg      ',' 849 Taylor        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4038,  84,'Laura Stewart    ',' 949 Taylor        St  ','San Jose','CA' ,'95126','NORMAL'),
( 4039,  85,'Soraia Alves     ',' 650 Elm           St  ','San Jose','CA' ,'95126','NORMAL'),
( 4097,  86,'Graziela Kunde   ','1169 Vanessa       Dr  ','San Jose','CA' ,'95126','NORMAL'),
( 4099,  88,'Nelson Mattos    ','1824 Willow        St  ','San Jose','CA' ,'95125','NORMAL'),
( 4100,  89,'Marilene Noronha ','1788 Isabel        Dr  ','San Jose','CA' ,'95125','NORMAL'),
( 4101,  90,'Carla Nunes      ','1416 Saint Francis Dr  ','San Jose','CA' ,'95125','NORMAL'),
( 4102,  91,'G.Sauaressig     ','1699 Santa Barbara Dr  ','San Jose','CA' ,'95125','NORMAL'),
( 4429,  92,'Thao Thieu       ','1527 McKinley      Ave ','San Jose','CA' ,'95126','NORMAL'),
( 4430,  93,'Steven Elliott   ','1258 Willowhaven   Dr  ','San Jose','CA' ,'95126','NORMAL'),
( 4431,  94,'James Taylor     ',' 942 St Elizabeth  Dr  ','San Jose','CA' ,'95126','NORMAL'),
( 4432,  95,'Al Jarreau       ','2323 Gunar         Dr  ','San Jose','CA' ,'95124','NORMAL'),
( 4433,  96,'Diana Krall      ',' 766 Malone        Rd  ','San Jose','CA' ,'95125','NORMAL'),
( 4434,  97,'Gari Robinson    ','2049 Delbarr       Ct  ','San Jose','CA' ,'95125','NORMAL'),
( 4435,  98,'Chris Vivian     ',' 392 Shadow Run    Dr  ','San Jose','CA' ,'95110','NORMAL'),
( 4436,  99,'Angela Dima      ',' 359 Shadow Run    Dr  ','San Jose','CA' ,'95110','NORMAL'),
( 4437, 100,'Shannon Fargusson','1225 Willowhaven   Dr  ','San Jose','CA' ,'95126','NORMAL');
-- end of CUSTOMER DATA

--==========================================================================   
--                     ACCOUNT DATA
--==========================================================================   
INSERT INTO se_demo.accounts(
   ACCOUNT_ID, CUSTOMER_ID, BRANCH_ID, TYPE, BALANCE, ROUTING_NUMBER) VALUES
( 100, 124,1,'Checking', 2363.255132,1100),
( 101, 125,2,'Checking', 2885.789723,1101),
( 102, 126,1,'Checking', 863.7858514,1102),
( 103, 127,1,'Checking', 376.3056556,1103),
( 104, 135,1,'Checking', 1335.755385,1104),
( 105, 136,1,'Checking', 1522.425684,1105),
( 106, 137,2,'Checking',  2776.92254,1106),
( 107, 138,1,'Checking', 1285.902569,1107),
( 108, 139,1,'Checking', 3260.161556,1108),
( 109, 156,1,'Checking', 2919.795841,1109),
( 110, 157,1,'Checking', 1073.549577,1110),
( 111, 158,1,'Checking', 1225.286351,1111),
( 112, 159,1,'Checking', 389.7738339,1112),
( 113, 160,1,'Checking', 182.9277962,1113),
( 114, 176,2,'Checking', 812.2161706,1114),
( 115, 177,1,'Checking', 2329.205387,1115),
( 116, 178,2,'Checking',   332.32188,1116),
( 117, 179,2,'Checking', 2718.337876,1117),
( 118, 180,1,'Checking', 1188.955105,1118),
( 119, 181,1,'Checking', 230.5866282,1119),
( 120, 262,1,'Checking', 2427.166818,1120),
( 121, 263,1,'Checking', 1933.819423,1121),
( 122, 264,1,'Checking', 549.3841173,1122),
( 123, 265,1,'Checking',  2429.47217,1123),
( 124, 266,1,'Checking', 1940.300551,1124),
( 125, 267,1,'Checking', 1683.467949,1125),
( 126, 368,1,'Checking', 1206.174575,1126),
( 127, 369,1,'Checking', 768.6893814,1127),
( 128, 370,2,'Checking', 1129.363835,1128),
( 129, 371,1,'Checking',  1418.82726,1129),
( 130, 372,1,'Checking', 1674.021154,1130),
( 131, 373,1,'Checking', 2477.973427,1131),
( 132,1007,1,'Checking', 370.7056947,1132),
( 133,1008,1,'Checking', 116.1817531,1133),
( 134,1009,1,'Checking', 520.6105051,1134),
( 135,1010,1,'Checking', 195.6016937,1135),
( 136,1011,1,'Checking', 106.0564091,1136),
( 137,1012,2,'Checking', 2.184562731,1137),
( 138,1041,1,'Checking', 539.2325158,1138),
( 139,1042,1,'Checking', 101.1402553,1139),
( 140,1043,1,'Checking', 950.7055043,1140),
( 141,1044,1,'Checking', 575.4253339,1141),
( 142,2127,1,'Checking', 345.6576006,1142),
( 143,2128,2,'Checking', 235.6670355,1143),
( 144,2129,2,'Checking', 345.3365138,1144),
( 145,2130,2,'Checking',  137.687037,1145),
( 146,2131,1,'Checking', 100.7461097,1146),
( 147,2132,1,'Checking', 686.8912253,1147),
( 148,2223,2,'Checking', 57.94033953,1148),
( 149,2224,2,'Checking', 209.6814143,1149),
( 150,2225,2,'Checking',  272.993464,1150),
( 151,2226,1,'Checking', 273.1754423,1151),
( 152,2227,2,'Checking', 155.3547925,1152),
( 153,2228,1,'Checking', 269.5428597,1153),
( 154,2229,1,'Checking', 151.1208164,1154),
( 155,2154,2,'Checking', 8.275955916,1155),
( 156,2155,2,'Checking', 227.8439034,1156),
( 157,2156,2,'Checking', 351.6053223,1157),
( 158,2157,2,'Checking', 175.8251799,1158),
( 159,2158,2,'Checking', 636.3168721,1159),
( 160,2159,2,'Checking', 808.5135018,1160),
( 161,2160,2,'Checking', 322.3511567,1161),
( 162,2161,1,'Checking', 113.6516125,1162),
( 163,2162,2,'Checking', 634.4714832,1163),
( 164,3034,2,'Checking', 803.0728587,1164),
( 165,3035,2,'Checking',  1374.49218,1165),
( 166,3036,2,'Checking', 737.7980341,1166),
( 167,3037,1,'Checking', 880.1150966,1167),
( 168,3038,2,'Checking', 1714.550973,1168),
( 169,3039,1,'Checking', 1296.540013,1169),
( 170,3084,2,'Checking', 935.6609093,1170),
( 171,3085,2,'Checking', 534.2058106,1171),
( 172,3086,2,'Checking',  416.365382,1172),
( 173,3087,2,'Checking', 1222.481322,1173),
( 174,3088,2,'Checking', 1234.423716,1174),
( 175,4030,1,'Checking', 342.3687716,1175),
( 176,4031,1,'Checking', 219.8221082,1176),
( 177,4032,1,'Checking', 821.8153705,1177),
( 178,4033,1,'Checking', 333.0223163,1178),
( 179,4034,1,'Checking', 78.67911241,1179),
( 180,4035,1,'Checking', 692.0828828,1180),
( 181,4036,1,'Checking', 1465.075807,1181),
( 182,4037,1,'Checking', 1823.983833,1182),
( 183,4038,1,'Checking', 733.0881632,1183),
( 184,4039,1,'Checking', 1100.820315,1184),
( 185,4097,1,'Checking', 38.94935605,1185),
( 186,4099,1,'Checking', 150.0550955,1186),
( 187,4100,1,'Checking', 159.8017401,1187),
( 188,4101,1,'Checking', 363.2827794,1188),
( 189,4102,1,'Checking', 1242.323194,1189),
( 190,4429,1,'Checking', 140.9882485,1190),
( 191,4430,1,'Checking', 240.9412472,1191),
( 192,4431,1,'Checking', 393.6994475,1192),
( 193,4432,1,'Checking', 873.6447408,1193),
( 194,4433,1,'Checking',  849.881861,1194),
( 195,4434,1,'Checking', 920.8499389,1195),
( 196,4435,1,'Checking', 402.0230981,1196),
( 197,4436,1,'Checking', 769.2452027,1197),
( 198,4437,1,'Checking', 203.4685531,1198),
( 199, 124,1,'Saving',   25947.23173,1199),
( 200, 125,2,'Saving',   204755.0108,1200),
( 201, 126,1,'Saving',    114390.855,1201),
( 202, 127,1,'Saving',   202659.7704,1202),
( 203, 135,1,'Saving',   105370.5459,1203),
( 204, 136,1,'Saving',   16331.64918,1204),
( 205, 137,2,'Saving',   188780.7449,1205),
( 206, 138,1,'Saving',   77485.47104,1206),
( 207, 139,1,'Saving',   101003.4193,1207),
( 208, 156,1,'Saving',   30627.54354,1208),
( 209, 157,1,'Saving',   84310.68934,1209),
( 210, 158,1,'Saving',   95724.16915,1210),
( 211, 159,1,'Saving',    58738.6481,1211),
( 212, 160,1,'Saving',   33947.76889,1212),
( 213, 176,2,'Saving',   50009.22738,1213),
( 214, 177,1,'Saving',   53839.09653,1214),
( 215, 178,2,'Saving',   37252.65724,1215),
( 216, 179,2,'Saving',   38832.03591,1216),
( 217, 180,1,'Saving',   157923.6088,1217),
( 218, 181,1,'Saving',   148678.0982,1218),
( 219, 262,1,'Saving',   161690.7533,1219),
( 220, 263,1,'Saving',   60963.05602,1220),
( 221, 264,1,'Saving',   129716.7982,1221),
( 222, 265,1,'Saving',   146258.3654,1222),
( 223, 266,1,'Saving',   189802.0553,1223),
( 224, 267,1,'Saving',   224976.7577,1224),
( 225, 368,1,'Saving',   39103.89544,1225),
( 226, 369,1,'Saving',   46182.78934,1226),
( 227, 370,2,'Saving',   45155.12824,1227),
( 228, 371,1,'Saving',   118843.0557,1228),
( 229, 372,1,'Saving',   146979.6841,1229),
( 230, 373,1,'Saving',   79742.70174,1230),
( 231,1007,1,'Saving',   18766.24436,1231),
( 232,1008,1,'Saving',   56978.37152,1232),
( 233,1009,1,'Saving',   39892.98345,1233),
( 234,1010,1,'Saving',   14340.12927,1234),
( 235,1011,1,'Saving',   24524.27683,1235),
( 236,1012,2,'Saving',   30944.41188,1236),
( 237,1041,1,'Saving',   39186.16525,1237),
( 238,1042,1,'Saving',   17185.41623,1238),
( 239,1043,1,'Saving',   59682.25556,1239),
( 240,1044,1,'Saving',   7648.203145,1240),
( 241,2127,1,'Saving',   13560.58125,1241),
( 242,2128,2,'Saving',   14369.43733,1242),
( 243,2129,2,'Saving',   36340.46654,1243),
( 244,2130,2,'Saving',   14979.87798,1244),
( 245,2131,1,'Saving',   14515.74201,1245),
( 246,2132,1,'Saving',   305.3633823,1246),
( 247,2223,2,'Saving',   12417.23338,1247),
( 248,2224,2,'Saving',   39457.64595,1248),
( 249,2225,2,'Saving',   23017.44714,1249),
( 250,2226,1,'Saving',   7742.484165,1250),
( 251,2227,2,'Saving',   17624.66363,1251),
( 252,2228,1,'Saving',   1535.394306,1252),
( 253,2229,1,'Saving',   1226.676885,1253),
( 254,2154,2,'Saving',   22547.57602,1254),
( 255,2155,2,'Saving',   12486.17339,1255),
( 256,2156,2,'Saving',   38364.90976,1256),
( 257,2157,2,'Saving',   1734.126161,1257),
( 258,2158,2,'Saving',   60251.94392,1258),
( 259,2159,2,'Saving',   46657.42166,1259),
( 260,2160,2,'Saving',   9505.175495,1260),
( 261,2161,1,'Saving',   32381.25655,1261),
( 262,2162,2,'Saving',   34863.35359,1262),
( 263,3034,2,'Saving',   48563.18138,1263),
( 264,3035,2,'Saving',   48493.01592,1264),
( 265,3036,2,'Saving',   173101.6616,1265),
( 266,3037,1,'Saving',   88026.78844,1266),
( 267,3038,2,'Saving',   143707.0279,1267),
( 268,3039,1,'Saving',   99494.98056,1268),
( 269,3084,2,'Saving',   88987.75075,1269),
( 270,3085,2,'Saving',    25567.8175,1270),
( 271,3086,2,'Saving',   112184.2155,1271),
( 272,3087,2,'Saving',   168562.1903,1272),
( 273,3088,2,'Saving',   185847.5828,1273),
( 274,4030,1,'Saving',    44559.8743,1274),
( 275,4031,1,'Saving',    26054.6617,1275),
( 276,4032,1,'Saving',   58280.98421,1276),
( 277,4033,1,'Saving',    33446.0035,1277),
( 278,4034,1,'Saving',   88012.34913,1278),
( 279,4035,1,'Saving',   84526.49687,1279),
( 280,4036,1,'Saving',   78822.73393,1280),
( 281,4037,1,'Saving',   10788.06735,1281),
( 282,4038,1,'Saving',   101492.5752,1282),
( 283,4039,1,'Saving',   21233.41511,1283),
( 284,4097,1,'Saving',   77413.15157,1284),
( 285,4099,1,'Saving',   84883.84174,1285),
( 286,4100,1,'Saving',   69186.40003,1286),
( 287,4101,1,'Saving',   28291.18589,1287),
( 288,4102,1,'Saving',   21900.57646,1288),
( 289,4429,1,'Saving',   70028.95402,1289),
( 290,4430,1,'Saving',   22028.39868,1290),
( 291,4431,1,'Saving',   69694.60985,1291),
( 292,4432,1,'Saving',   70770.24328,1292),
( 293,4433,1,'Saving',   52412.67197,1293),
( 294,4434,1,'Saving',   61382.88758,1294),
( 295,4435,1,'Saving',   74764.64312,1295),
( 296,4436,1,'Saving',   46565.86445,1296),
( 297,4437,1,'Saving',   78073.61351,1297);
-- end of ACCOUNT DATA

--==========================================================================   
--                     TRANSACTION DATA
--==========================================================================   
INSERT INTO se_demo.transactions(
   TRANSACTION_ID, TRANSACTION_DATE, ACCOUNT_ID, AMOUNT) VALUES
( 200,'6/9/1999', 100,410.0649),
( 203,'3/16/1999', 101,134.6683),
( 206,'5/8/2000', 102,128.8427),
( 209,'2/14/1999', 103,55.29605),
( 212,'5/24/2000', 104, 246.328),
( 215,'1/20/2000', 105,217.8844),
( 218,'3/26/2000', 106,529.7534),
( 221,'6/15/2000', 107,249.6642),
( 224,'6/2/1999', 108,120.8983),
( 227,'2/27/1999', 109,116.1058),
( 230,'2/6/1999', 110,187.5347),
( 233,'6/23/2000', 111,48.13646),
( 236,'5/27/1999', 112,26.88456),
( 239,'4/4/1999', 113,7.963927),
( 242,'12/14/1999', 114,6.796708),
( 245,'6/17/2000', 115,59.15062),
( 248,'1/20/2000', 116,16.10502),
( 251,'10/3/1999', 117,513.2409),
( 254,'10/4/1999', 118,136.2889),
( 257,'3/3/2000', 119, 3.41692),
( 260,'6/28/2000', 120,421.2396),
( 263,'5/10/1999', 121,186.4202),
( 266,'5/23/2000', 122,102.4402),
( 269,'12/19/1999', 123, 248.581),
( 272,'7/22/1999', 124, 226.448),
( 275,'11/2/2000', 125,48.19283),
( 278,'8/20/1999', 126, 228.173),
( 281,'10/3/1999', 127,68.18768),
( 284,'1/3/1999', 128,31.63948),
( 287,'6/22/1999', 129,256.2542),
( 290,'11/28/1999', 130,19.16289),
( 293,'11/16/2000', 131,162.1792),
( 296,'7/26/1999', 132,3.779025),
( 299,'2/17/1999', 133,18.46187),
( 302,'4/24/2000', 134,25.31652),
( 305,'1/1/2000', 135,4.483854),
( 308,'7/2/2000', 136,18.33536),
( 311,'11/5/2000', 137,0.277557),
( 314,'10/17/1999', 138,21.03512),
( 317,'1/21/1999', 139,15.50602),
( 320,'7/20/1999', 140, 114.246),
( 323,'11/8/2000', 141,16.60923),
( 326,'8/24/1999', 142,40.86036),
( 329,'5/22/1999', 143,44.24424),
( 332,'4/1/1999', 144,14.28121),
( 335,'11/6/2000', 145,25.39269),
( 338,'11/28/2000', 146,6.341318),
( 341,'1/10/2000', 147,7.487512),
( 344,'9/12/1999', 148,5.611813),
( 347,'2/1/1999', 149,11.63708),
( 350,'4/13/1999', 150,26.33636),
( 353,'1/19/1999', 151, 26.9734),
( 356,'9/18/1999', 152, 26.3779),
( 359,'10/26/1999', 153,44.01659),
( 362,'2/20/1999', 154,3.055476),
( 365,'6/4/2000', 155,0.088982),
( 368,'11/27/2000', 156,8.333825),
( 371,'5/6/2000', 157,22.51631),
( 374,'3/21/1999', 158,29.04578),
( 377,'1/23/2000', 159,26.38774),
( 380,'10/18/1999', 160,92.33102),
( 383,'12/24/1999', 161,59.83667),
( 386,'2/8/1999', 162,8.266304),
( 389,'3/17/2000', 163,101.5791),
( 392,'11/5/2000', 164,150.8449),
( 395,'9/25/1999', 165,228.3387),
( 398,'7/24/2000', 166,121.3898),
( 401,'4/16/1999', 167,78.65684),
( 404,'7/19/2000', 168,266.9651),
( 407,'2/7/2000', 169,34.14283),
( 410,'2/4/1999', 170,62.29798),
( 413,'4/11/2000', 171,75.89482),
( 416,'8/5/2000', 172,48.03834),
( 419,'2/11/1999', 173,176.7392),
( 422,'3/15/2000', 174,129.5668),
( 425,'12/6/1999', 175,23.25297),
( 428,'8/20/2000', 176,14.07896),
( 431,'7/12/2000', 177,39.66607),
( 434,'5/9/1999', 178,  22.162),
( 437,'12/9/2000', 179,0.869688),
( 440,'9/12/1999', 180,138.2647),
( 443,'3/9/1999', 181,127.0221),
( 446,'7/24/1999', 182,225.1657),
( 449,'5/7/2000', 183,12.54472),
( 452,'2/18/1999', 184,110.9305),
( 455,'5/12/2000', 185,4.345138),
( 458,'8/27/1999', 186,8.993184),
( 461,'6/16/2000', 187, 6.36054),
( 464,'5/25/2000', 188,52.51078),
( 467,'7/22/2000', 189,25.45362),
( 470,'3/15/1999', 190,8.744481),
( 473,'11/2/2000', 191,40.43505),
( 476,'8/20/1999', 192,5.576618),
( 479,'11/13/1999', 193,133.9944),
( 482,'9/20/2000', 194,109.4392),
( 485,'7/4/2000', 195,84.65599),
( 488,'8/7/1999', 196,44.56923),
( 491,'2/6/1999', 197,16.62518),
( 494,'8/9/2000', 198,  19.734),
( 497,'7/1/1999', 199,4172.654),
( 500,'5/14/1999', 200,38353.48),
( 503,'4/12/1999', 201,6068.544),
( 506,'4/16/1999', 202,11277.34),
( 509,'12/12/1999', 203,15628.58),
( 512,'5/23/2000', 204,1544.129),
( 515,'3/25/2000', 205,156.8426),
( 518,'1/24/2000', 206, 134.573),
( 521,'12/25/1999', 207,9989.299),
( 524,'3/10/2000', 208,4443.906),
( 527,'4/2/1999', 209,1784.336),
( 530,'2/20/1999', 210, 8814.86),
( 533,'4/3/2000', 211,1133.963),
( 536,'12/4/2000', 212,1321.064),
( 539,'12/2/1999', 213,1134.468),
( 542,'9/11/2000', 214,1791.388),
( 545,'5/22/2000', 215,611.6733),
( 548,'3/1/2000', 216,3846.393),
( 551,'1/14/1999', 217,5136.206),
( 554,'8/12/2000', 218,8053.368),
( 557,'4/14/1999', 219,1806.315),
( 560,'11/27/2000', 220,9556.921),
( 563,'9/7/2000', 221,5052.018),
( 566,'8/24/2000', 222,19897.25),
( 569,'8/10/1999', 223,20643.46),
( 572,'5/19/1999', 224,1010.197),
( 575,'7/26/1999', 225,5505.485),
( 578,'2/4/2000', 226,7053.833),
( 581,'9/14/1999', 227,3386.158),
( 584,'7/24/1999', 228,13494.65),
( 587,'12/21/1999', 229,2740.613),
( 590,'4/25/1999', 230, 13284.4),
( 593,'3/24/1999', 231,2445.456),
( 596,'9/23/1999', 232,1760.232),
( 599,'12/5/2000', 233,1687.219),
( 602,'7/11/2000', 234,115.0738),
( 605,'2/8/2000', 235,1271.798),
( 608,'11/20/1999', 236,4541.155),
( 611,'4/15/1999', 237,  3677.7),
( 614,'1/17/1999', 238,2795.182),
( 617,'5/17/2000', 239,774.5752),
( 620,'4/20/2000', 240,782.5478),
( 623,'2/18/1999', 241,1436.765),
( 626,'1/1/2000', 242,2771.544),
( 629,'11/19/1999', 243,3420.935),
( 632,'1/7/2000', 244,2231.038),
( 635,'9/9/1999', 245,2025.772),
( 638,'10/25/2000', 246,9.387454),
( 641,'12/18/2000', 247,1969.252),
( 644,'3/15/1999', 248,6195.007),
( 647,'10/1/2000', 249,4103.657),
( 650,'11/9/1999', 250,1359.439),
( 653,'4/17/1999', 251,530.9645),
( 656,'5/28/2000', 252,171.7705),
( 659,'3/25/2000', 253,190.8625),
( 662,'1/22/2000', 254,2765.804),
( 665,'10/7/2000', 255, 1720.33),
( 668,'2/11/1999', 256,6441.007),
( 671,'6/23/1999', 257,121.6101),
( 674,'7/24/1999', 258,9957.765),
( 677,'10/5/1999', 259,6853.639),
( 680,'4/28/1999', 260,726.6378),
( 683,'11/9/2000', 261, 769.309),
( 686,'2/7/1999', 262,5860.827),
( 689,'5/5/2000', 263,1754.494),
( 692,'3/17/2000', 264,2713.556),
( 695,'12/19/1999', 265,417.2778),
( 698,'7/20/1999', 266, 10273.4),
( 701,'8/11/1999', 267,4018.836),
( 704,'8/24/2000', 268,9078.658),
( 707,'3/21/2000', 269,16283.33),
( 710,'12/8/1999', 270, 3269.45),
( 713,'6/14/1999', 271,10040.68),
( 716,'11/24/2000', 272,6451.387),
( 719,'11/17/1999', 273,22634.37),
( 722,'12/22/2000', 274,6310.148),
( 725,'5/17/1999', 275,5195.875),
( 728,'12/22/1999', 276, 9716.49),
( 731,'11/21/2000', 277,6015.548),
( 734,'9/8/2000', 278,2858.153),
( 737,'12/21/1999', 279,14701.36),
( 740,'4/17/1999', 280,13436.15),
( 743,'12/4/2000', 281,1437.694),
( 746,'9/2/2000', 282,5929.765),
( 749,'9/28/2000', 283,851.2012),
( 752,'10/18/1999', 284,11199.08),
( 755,'7/6/2000', 285,867.0179),
( 758,'12/3/2000', 286,10766.49),
( 761,'9/4/2000', 287,4060.866),
( 764,'11/10/1999', 288,2868.957),
( 767,'8/16/2000', 289,12962.85),
( 770,'6/13/1999', 290,3921.282),
( 773,'6/6/1999', 291,5691.669),
( 776,'10/22/2000', 292,5842.467),
( 779,'8/8/2000', 293,995.6348),
( 782,'10/19/1999', 294,164.2341),
( 785,'12/18/1999', 295, 8897.95),
( 788,'10/6/1999', 296,3120.884),
( 791,'5/24/2000', 297,4215.467),
( 794,'10/16/1999', 100,265.6453),
( 797,'8/19/1999', 101,539.0321),
( 800,'11/13/1999', 102,78.76525),
( 803,'11/9/2000', 103,68.03113),
( 806,'11/21/1999', 104,200.9549),
( 809,'3/24/1999', 105,215.4605),
( 812,'7/13/1999', 106,427.6392),
( 815,'5/2/1999', 107,66.71727),
( 818,'6/9/2000', 108,623.4824),
( 821,'5/6/1999', 109,109.9385),
( 824,'6/24/2000', 110,32.86801),
( 827,'8/26/2000', 111,151.9085),
( 830,'1/26/2000', 112,11.68539),
( 833,'4/19/1999', 113,13.75836),
( 836,'10/6/2000', 114,80.53244),
( 839,'6/26/1999', 115, 20.9271),
( 842,'4/1/2000', 116,26.76104),
( 845,'1/16/2000', 117,278.6843),
( 848,'12/19/1999', 118,109.5831),
( 851,'6/10/2000', 119,4.513222),
( 854,'9/8/2000', 120,161.5764),
( 857,'4/20/1999', 121,49.81852),
( 860,'11/7/1999', 122, 26.4448),
( 863,'10/27/2000', 123, 436.118),
( 866,'4/11/2000', 124,46.06044),
( 869,'4/23/2000', 125,305.0076),
( 872,'10/9/1999', 126,232.3231),
( 875,'8/2/1999', 127, 61.2963),
( 878,'3/14/2000', 128,205.2637),
( 881,'9/19/2000', 129,34.73888),
( 884,'1/14/2000', 130,170.3945),
( 887,'1/19/1999', 131,241.7908),
( 890,'1/9/2000', 132,50.60082),
( 893,'11/14/1999', 133,22.68992),
( 896,'2/6/2000', 134, 26.9585),
( 899,'8/7/1999', 135,38.72871),
( 902,'6/26/1999', 136,18.99279),
( 905,'7/6/2000', 137,0.013688),
( 908,'5/1/1999', 138,95.14236),
( 911,'10/4/2000', 139,6.336616),
( 914,'11/9/2000', 140,138.0959),
( 917,'2/26/2000', 141,2.088899),
( 920,'6/12/2000', 142,32.59317),
( 923,'2/5/1999', 143, 22.6203),
( 926,'4/11/1999', 144,  35.478),
( 929,'6/21/2000', 145,27.32847),
( 932,'7/19/1999', 146,14.01379),
( 935,'1/11/1999', 147,98.60913),
( 938,'10/1/2000', 148,7.594179),
( 941,'4/17/1999', 149,14.74927),
( 944,'9/14/1999', 150,17.64516),
( 947,'10/21/2000', 151,8.414119),
( 950,'2/3/2000', 152,21.81273),
( 953,'5/24/2000', 153,45.43275),
( 956,'3/28/2000', 154,2.890876),
( 959,'5/27/1999', 155,0.941372),
( 962,'1/8/1999', 156,36.43327),
( 965,'4/19/2000', 157,22.75757),
( 968,'4/23/1999', 158, 18.3028),
( 971,'6/8/1999', 159,111.2169),
( 974,'8/25/2000', 160,144.8827),
( 977,'12/3/2000', 161,41.74191),
( 980,'12/3/2000', 162,20.86361),
( 983,'8/10/2000', 163,84.66857),
( 986,'2/9/2000', 164, 23.4569),
( 989,'10/21/1999', 165,141.7547),
( 992,'7/23/1999', 166,77.80529),
( 995,'12/24/2000', 167,111.2804),
( 998,'10/26/1999', 168,333.6068),
(1001,'2/6/2000', 169,197.2564),
(1004,'6/15/1999', 170,14.14601),
(1007,'9/16/1999', 171,65.91726),
(1010,'1/10/1999', 172,35.38287),
(1013,'3/19/1999', 173,41.68522),
(1016,'2/5/1999', 174,157.0025),
(1019,'7/28/2000', 175,49.59643),
(1022,'1/13/2000', 176,30.31786),
(1025,'1/17/2000', 177,126.8564),
(1028,'6/22/2000', 178,7.913088),
(1031,'4/16/2000', 179,0.261574),
(1034,'10/23/1999', 180,64.25004),
(1037,'7/22/2000', 181,266.9649),
(1040,'10/7/2000', 182,29.98905),
(1043,'8/1/2000', 183,83.81477),
(1046,'4/9/1999', 184,96.80246),
(1049,'9/23/1999', 185,2.654964),
(1052,'2/8/2000', 186,12.90884),
(1055,'3/22/2000', 187,18.68655),
(1058,'2/19/1999', 188,25.10699),
(1061,'4/12/1999', 189,230.6099),
(1064,'12/10/1999', 190,13.28289),
(1067,'2/17/1999', 191,25.50788),
(1070,'10/15/2000', 192,66.20551),
(1073,'8/16/1999', 193,145.7211),
(1076,'9/6/1999', 194,129.9411),
(1079,'6/20/2000', 195,5.229966),
(1082,'3/26/1999', 196,8.289389),
(1085,'7/22/1999', 197,110.2286),
(1088,'12/8/2000', 198,27.85117),
(1091,'1/22/1999', 199,4147.848),
(1094,'2/2/1999', 200,40630.21),
(1097,'3/26/2000', 201,6341.582),
(1100,'5/27/2000', 202,19718.14),
(1103,'1/7/2000', 203,20412.81),
(1106,'11/27/2000', 204,98.19314),
(1109,'7/24/1999', 205,17082.41),
(1112,'1/11/1999', 206,9746.122),
(1115,'2/28/2000', 207,12884.93),
(1118,'6/21/1999', 208,3053.719),
(1121,'8/1/2000', 209,3781.076),
(1124,'11/22/2000', 210,8038.879),
(1127,'9/16/2000', 211, 354.355),
(1130,'12/19/2000', 212,3048.593),
(1133,'6/4/2000', 213,9616.066),
(1136,'8/1/2000', 214, 4383.46),
(1139,'9/18/2000', 215,1728.502),
(1142,'9/18/1999', 216,5088.025),
(1145,'8/23/1999', 217,8403.177),
(1148,'5/1/2000', 218,3197.377),
(1151,'11/14/1999', 219, 7516.24),
(1154,'2/14/2000', 220,10618.38),
(1157,'3/7/1999', 221,4955.935),
(1160,'4/18/1999', 222,8996.822),
(1163,'1/4/1999', 223,31032.86),
(1166,'2/5/2000', 224,42096.04),
(1169,'5/12/1999', 225,3026.361),
(1172,'10/20/2000', 226,5415.512),
(1175,'2/6/2000', 227,3518.782),
(1178,'7/11/1999', 228,18853.91),
(1181,'8/26/2000', 229,14540.79),
(1184,'2/12/2000', 230,3190.184),
(1187,'12/25/1999', 231,2644.192),
(1190,'4/22/1999', 232,2037.797),
(1193,'9/11/2000', 233,3369.338),
(1196,'7/2/1999', 234,1695.653),
(1199,'10/3/2000', 235,3178.529),
(1202,'2/5/1999', 236,3617.337),
(1205,'11/12/1999', 237,3787.433),
(1208,'7/20/1999', 238,1108.258),
(1211,'2/13/2000', 239,10837.12),
(1214,'8/19/1999', 240,1089.209),
(1217,'10/16/1999', 241,1176.584),
(1220,'7/21/1999', 242,2316.119),
(1223,'11/17/1999', 243,991.6162),
(1226,'11/3/2000', 244, 393.124),
(1229,'5/8/2000', 245,2604.353),
(1232,'8/16/1999', 246,25.90977),
(1235,'12/2/1999', 247,1787.568),
(1238,'9/1/2000', 248, 2377.79),
(1241,'4/2/1999', 249,1698.527),
(1244,'8/23/2000', 250,1267.302),
(1247,'6/20/2000', 251,2808.839),
(1250,'1/3/1999', 252,20.07844),
(1253,'10/5/2000', 253,88.35182),
(1256,'9/8/1999', 254,69.99725),
(1259,'11/25/2000', 255,1633.452),
(1262,'12/5/2000', 256,1299.553),
(1265,'9/20/2000', 257,197.3139),
(1268,'9/22/2000', 258,6281.389),
(1271,'4/23/2000', 259,4748.887),
(1274,'11/15/1999', 260,414.1412),
(1277,'10/4/2000', 261,4661.834),
(1280,'10/4/1999', 262,4974.991),
(1283,'6/6/2000', 263,4678.143),
(1286,'1/22/2000', 264,5313.296),
(1289,'3/19/1999', 265,19422.03),
(1292,'9/26/1999', 266,14053.36),
(1295,'10/7/2000', 267,21816.82),
(1298,'3/11/2000', 268, 1338.64),
(1301,'12/25/1999', 269,15786.09),
(1304,'8/4/2000', 270,1279.132),
(1307,'3/12/2000', 271,19843.18),
(1310,'3/17/1999', 272,30949.97),
(1313,'11/27/1999', 273,17072.19),
(1316,'8/13/1999', 274,509.6888),
(1319,'8/13/2000', 275, 4630.61),
(1322,'12/5/2000', 276,5630.218),
(1325,'9/25/2000', 277,6595.324),
(1328,'6/7/1999', 278,6732.644),
(1331,'12/8/1999', 279,9735.542),
(1334,'12/26/1999', 280,15728.74),
(1337,'4/4/1999', 281,1957.673),
(1340,'8/7/1999', 282,2560.619),
(1343,'3/17/2000', 283,474.9938),
(1346,'6/19/1999', 284,10766.51),
(1349,'7/12/2000', 285,11223.75),
(1352,'10/3/2000', 286,1553.378),
(1355,'12/25/1999', 287,4076.504),
(1358,'11/26/2000', 288,3494.722),
(1361,'3/13/1999', 289,34.37085),
(1364,'4/24/2000', 290,1376.821),
(1367,'8/14/2000', 291,5235.508),
(1370,'9/23/1999', 292,190.3102),
(1373,'6/26/2000', 293,2735.294),
(1376,'6/2/2000', 294,10877.28),
(1379,'2/26/1999', 295,11951.63),
(1382,'4/7/1999', 296, 9086.92),
(1385,'2/26/2000', 297,9702.064),
(1388,'3/12/1999', 100,188.7422),
(1391,'12/26/2000', 101,576.3459),
(1394,'2/24/1999', 102,67.87226),
(1397,'11/27/1999', 103,49.16274),
(1400,'3/2/2000', 104,152.5284),
(1403,'8/22/1999', 105,138.3044),
(1406,'7/20/2000', 106,79.67345),
(1409,'8/5/1999', 107,24.79981),
(1412,'6/25/2000', 108,160.5938),
(1415,'6/18/1999', 109,56.72258),
(1418,'8/20/1999', 110,36.32044),
(1421,'2/17/2000', 111,131.5891),
(1424,'2/19/2000', 112,64.13718),
(1427,'8/26/2000', 113,15.60056),
(1430,'12/21/1999', 114,2.275107),
(1433,'5/23/2000', 115,353.9784),
(1436,'4/2/2000', 116,59.10805),
(1439,'4/3/1999', 117,117.4123),
(1442,'10/20/2000', 118,44.62285),
(1445,'4/24/2000', 119,8.221298),
(1448,'11/8/1999', 120,482.0618),
(1451,'12/1/2000', 121,0.158674),
(1454,'2/6/2000', 122,26.42557),
(1457,'8/15/2000', 123,86.99796),
(1460,'3/14/1999', 124,245.3788),
(1463,'2/15/1999', 125,81.07891),
(1466,'9/8/2000', 126,47.85189),
(1469,'2/16/2000', 127,50.21799),
(1472,'11/23/2000', 128,  47.351),
(1475,'6/22/2000', 129,12.46757),
(1478,'4/24/1999', 130,237.2425),
(1481,'3/25/2000', 131,186.9159),
(1484,'6/2/1999', 132,18.42853),
(1487,'8/27/1999', 133,7.432432),
(1490,'7/15/2000', 134,60.26388),
(1493,'8/10/2000', 135,16.37941),
(1496,'10/2/2000', 136,4.143121),
(1499,'6/2/2000', 137,0.223099),
(1502,'10/8/1999', 138,7.242031),
(1505,'8/24/2000', 139,14.24114),
(1508,'8/9/2000', 140,91.99023),
(1511,'7/1/1999', 141,  70.151),
(1514,'3/13/2000', 142,46.92224),
(1517,'6/27/2000', 143,4.914297),
(1520,'9/14/2000', 144,12.68786),
(1523,'3/18/1999', 145,9.831023),
(1526,'12/14/2000', 146,7.424878),
(1529,'6/24/1999', 147,26.91243),
(1532,'4/14/2000', 148,1.705627),
(1535,'2/20/1999', 149, 31.3328),
(1538,'7/28/1999', 150, 54.4283),
(1541,'12/3/1999', 151,30.67218),
(1544,'10/11/1999', 152, 22.6467),
(1547,'3/18/2000', 153,24.05183),
(1550,'3/15/1999', 154, 28.5632),
(1553,'8/7/1999', 155,0.826164),
(1556,'11/23/1999', 156,9.920162),
(1559,'8/21/1999', 157,14.64077),
(1562,'3/17/1999', 158,32.81727),
(1565,'3/25/1999', 159,66.04171),
(1568,'6/24/1999', 160, 112.243),
(1571,'7/2/2000', 161,18.21168),
(1574,'4/27/2000', 162,10.61284),
(1577,'10/19/1999', 163,83.85694),
(1580,'12/10/2000', 164, 52.8986),
(1583,'12/28/2000', 165,211.4837),
(1586,'11/4/1999', 166,97.49797),
(1589,'10/20/1999', 167,53.01525),
(1592,'10/14/1999', 168,46.53771),
(1595,'5/22/1999', 169,15.11523),
(1598,'5/25/2000', 170,127.9403),
(1601,'5/25/1999', 171,77.36744),
(1604,'6/9/1999', 172,78.45289),
(1607,'9/8/1999', 173,178.9362),
(1610,'6/3/2000', 174,190.9741),
(1613,'7/22/2000', 175,6.944259),
(1616,'12/27/2000', 176, 9.10269),
(1619,'4/26/2000', 177,101.4788),
(1622,'6/11/2000', 178, 50.6176),
(1625,'11/19/2000', 179,14.27261),
(1628,'4/9/1999', 180,137.7139),
(1631,'9/25/1999', 181,103.8895),
(1634,'11/1/1999', 182,101.6721),
(1637,'9/11/1999', 183, 60.1139),
(1640,'4/17/2000', 184,190.7395),
(1643,'5/11/1999', 185, 5.05994),
(1646,'8/21/1999', 186,14.38241),
(1649,'4/26/1999', 187,25.71961),
(1652,'4/3/1999', 188,37.35634),
(1655,'5/7/1999', 189,167.6363),
(1658,'1/1/2000', 190,9.273975),
(1661,'5/13/1999', 191,12.41107),
(1664,'11/18/1999', 192,50.95264),
(1667,'8/2/2000', 193,67.62999),
(1670,'7/16/1999', 194,83.97284),
(1673,'1/9/2000', 195,8.462688),
(1676,'11/18/2000', 196,39.43102),
(1679,'10/3/1999', 197, 77.3681),
(1682,'3/10/2000', 198,1.117515),
(1685,'9/20/1999', 199,4732.466),
(1688,'12/20/2000', 200,15504.25),
(1691,'9/18/1999', 201,11203.11),
(1694,'9/5/2000', 202,16689.98),
(1697,'10/4/1999', 203,4997.475),
(1700,'6/2/1999', 204,473.3774),
(1703,'8/4/2000', 205,20137.47),
(1706,'4/10/2000', 206,4661.805),
(1709,'8/4/1999', 207,11006.09),
(1712,'5/28/2000', 208,  380.71),
(1715,'1/21/1999', 209,10150.82),
(1718,'4/7/2000', 210,6567.307),
(1721,'3/12/2000', 211,1610.885),
(1724,'7/27/1999', 212,6091.375),
(1727,'10/28/2000', 213,3054.828),
(1730,'4/6/1999', 214, 8658.91),
(1733,'1/11/1999', 215,5509.121),
(1736,'10/9/1999', 216,  926.55),
(1739,'7/21/2000', 217,27760.22),
(1742,'6/3/2000', 218,445.4078),
(1745,'6/2/1999', 219,10328.86),
(1748,'7/1/2000', 220,679.4078),
(1751,'9/4/1999', 221,12090.48),
(1754,'2/12/1999', 222,3772.923),
(1757,'10/5/2000', 223,35608.31),
(1760,'10/9/2000', 224,30748.52),
(1763,'9/3/2000', 225,4682.998),
(1766,'5/7/1999', 226,8499.817),
(1769,'5/20/1999', 227,7709.753),
(1772,'12/2/1999', 228,8610.715),
(1775,'11/11/2000', 229, 2641.61),
(1778,'4/3/2000', 230,12071.88),
(1781,'6/2/2000', 231,3715.188),
(1784,'1/24/1999', 232,7048.929),
(1787,'7/28/1999', 233,853.6858),
(1790,'3/17/1999', 234,82.34863),
(1793,'10/25/2000', 235,972.5005),
(1796,'1/27/1999', 236,2789.688),
(1799,'6/20/2000', 237,829.3602),
(1802,'6/13/2000', 238,1718.027),
(1805,'12/11/2000', 239,2874.005),
(1808,'8/22/2000', 240,1326.661),
(1811,'8/2/1999', 241,2673.106),
(1814,'7/23/2000', 242,2727.875),
(1817,'10/18/2000', 243,1742.129),
(1820,'11/22/2000', 244,779.3618),
(1823,'8/20/2000', 245,26.86364),
(1826,'8/15/1999', 246,5.360506),
(1829,'5/4/1999', 247,560.6894),
(1832,'12/25/2000', 248,3984.985),
(1835,'12/2/1999', 249,2396.236),
(1838,'3/9/1999', 250,459.5467),
(1841,'9/12/2000', 251,2766.734),
(1844,'8/23/1999', 252,231.6356),
(1847,'8/18/1999', 253,94.30295),
(1850,'11/26/1999', 254,1104.924),
(1853,'12/16/1999', 255,1393.034),
(1856,'9/9/1999', 256,5095.222),
(1859,'3/10/1999', 257,283.8402),
(1862,'4/6/2000', 258, 8110.89),
(1865,'12/14/2000', 259,5057.524),
(1868,'4/20/1999', 260,87.03693),
(1871,'3/19/1999', 261, 5541.51),
(1874,'9/16/1999', 262,4953.092),
(1877,'12/12/2000', 263,6178.717),
(1880,'3/8/2000', 264,8376.747),
(1883,'1/23/1999', 265,23313.55),
(1886,'8/10/1999', 266,12911.57),
(1889,'4/4/2000', 267,23678.95),
(1892,'8/20/2000', 268,7156.746),
(1895,'5/5/1999', 269,6572.862),
(1898,'1/2/2000', 270,1186.186),
(1901,'9/25/1999', 271,8418.143),
(1904,'11/23/2000', 272,33049.09),
(1907,'2/7/2000', 273,35906.11),
(1910,'9/28/1999', 274,3484.518),
(1913,'12/19/2000', 275,787.9008),
(1916,'12/2/2000', 276,1880.011),
(1919,'8/26/1999', 277,1512.381),
(1922,'4/26/1999', 278,11789.42),
(1925,'10/17/2000', 279,15526.06),
(1928,'6/24/2000', 280,15046.52),
(1931,'5/23/1999', 281,1928.325),
(1934,'5/25/2000', 282,10937.21),
(1937,'1/23/1999', 283,4017.299),
(1940,'1/18/2000', 284,11313.78),
(1943,'11/27/1999', 285,13807.37),
(1946,'12/2/1999', 286,10054.29),
(1949,'12/18/2000', 287,1341.674),
(1952,'8/20/1999', 288,4182.189),
(1955,'3/15/1999', 289,5949.573),
(1958,'3/13/1999', 290, 489.583),
(1961,'10/22/1999', 291,8001.026),
(1964,'11/4/2000', 292,7429.313),
(1967,'10/6/2000', 293, 1592.42),
(1970,'10/7/2000', 294,1674.686),
(1973,'10/13/2000', 295,13826.37),
(1976,'12/28/1999', 296, 2713.18),
(1979,'5/14/1999', 297,5228.697),
(1982,'2/6/1999', 100,397.2972),
(1985,'5/8/1999', 101,270.0248),
(1988,'1/6/2000', 102,171.1764),
(1991,'8/28/1999', 103,25.89929),
(1994,'2/22/1999', 104,232.3206),
(1997,'5/6/1999', 105,235.2605),
(2000,'6/15/2000', 106,227.6115),
(2003,'4/2/2000', 107,30.99789),
(2006,'11/10/1999', 108,608.7637),
(2009,'1/4/2000', 109,288.1529),
(2012,'2/8/2000', 110,76.10206),
(2015,'11/7/2000', 111,43.93914),
(2018,'12/28/1999', 112,10.25989),
(2021,'1/17/2000', 113,28.78546),
(2024,'1/18/1999', 114,58.15921),
(2027,'3/22/1999', 115, 187.817),
(2030,'12/11/2000', 116,54.81473),
(2033,'1/16/2000', 117,446.1077),
(2036,'1/5/1999', 118,203.5912),
(2039,'1/3/1999', 119,33.41915),
(2042,'11/24/1999', 120,23.42961),
(2045,'5/22/1999', 121,87.14982),
(2048,'11/24/1999', 122, 20.3656),
(2051,'3/9/2000', 123,256.5047),
(2054,'2/17/1999', 124,286.4381),
(2057,'9/6/1999', 125,123.9119),
(2060,'12/9/2000', 126,142.6252),
(2063,'7/17/2000', 127,104.2036),
(2066,'9/8/1999', 128,201.5262),
(2069,'6/25/1999', 129,175.6191),
(2072,'4/6/1999', 130,104.4412),
(2075,'11/9/2000', 131,417.5754),
(2078,'9/22/1999', 132,9.971304),
(2081,'9/5/1999', 133,1.064763),
(2084,'11/15/1999', 134,25.05566),
(2087,'3/17/2000', 135,19.94687),
(2090,'3/14/2000', 136,16.79072),
(2093,'4/21/2000', 137,0.198945),
(2096,'7/1/2000', 138,14.76112),
(2099,'2/26/1999', 139,8.636134),
(2102,'8/4/1999', 140,33.20779),
(2105,'11/12/1999', 141,49.57415),
(2108,'10/13/2000', 142,49.40475),
(2111,'11/9/1999', 143,36.55046),
(2114,'3/21/2000', 144,5.867452),
(2117,'9/5/2000', 145,14.63534),
(2120,'4/23/1999', 146,15.91529),
(2123,'3/26/1999', 147,73.85168),
(2126,'6/1/1999', 148,8.992213),
(2129,'3/26/2000', 149,8.362277),
(2132,'6/13/2000', 150,30.64562),
(2135,'6/16/2000', 151, 34.2395),
(2138,'6/9/1999', 152,30.33333),
(2141,'1/20/2000', 153,3.226211),
(2144,'1/14/1999', 154,28.97461),
(2147,'12/19/1999', 155, 0.30189),
(2150,'6/23/2000', 156, 21.0384),
(2153,'12/25/2000', 157,29.22727),
(2156,'6/22/1999', 158,2.647235),
(2159,'2/13/1999', 159,68.63482),
(2162,'4/19/2000', 160,130.3504),
(2165,'10/6/2000', 161,2.180321),
(2168,'7/16/1999', 162,7.910875),
(2171,'5/17/1999', 163,29.40676),
(2174,'7/3/2000', 164,24.30426),
(2177,'10/6/2000', 165,90.38355),
(2180,'3/2/2000', 166,36.46251),
(2183,'3/13/1999', 167,2.747963),
(2186,'2/6/2000', 168,182.0007),
(2189,'11/1/2000', 169, 191.417),
(2192,'1/19/1999', 170,171.5873),
(2195,'8/16/2000', 171,41.89359),
(2198,'8/6/1999', 172,11.04035),
(2201,'10/8/1999', 173,68.56703),
(2204,'4/10/2000', 174,106.7472),
(2207,'6/23/1999', 175,39.85807),
(2210,'6/18/2000', 176,41.44438),
(2213,'4/20/2000', 177,44.66734),
(2216,'8/13/1999', 178,11.21136),
(2219,'11/13/1999', 179,5.600994),
(2222,'5/11/2000', 180,123.0376),
(2225,'4/26/1999', 181,9.680969),
(2228,'6/1/2000', 182,251.2471),
(2231,'11/27/1999', 183,35.94439),
(2234,'4/17/1999', 184,198.5348),
(2237,'7/3/2000', 185,2.967351),
(2240,'12/2/2000', 186,8.045825),
(2243,'7/21/2000', 187,5.728503),
(2246,'9/23/1999', 188,36.76644),
(2249,'10/26/2000', 189,232.8362),
(2252,'11/19/2000', 190,13.25467),
(2255,'1/12/1999', 191,33.72641),
(2258,'10/3/2000', 192,64.46211),
(2261,'7/25/2000', 193,67.27182),
(2264,'6/24/1999', 194,61.60903),
(2267,'4/13/2000', 195,165.0446),
(2270,'10/20/1999', 196,27.21792),
(2273,'4/11/1999', 197,113.3709),
(2276,'3/3/2000', 198,11.32904),
(2279,'11/14/1999', 199,1851.289),
(2282,'6/6/2000', 200,31405.72),
(2285,'7/13/2000', 201,716.3705),
(2288,'9/3/2000', 202,29606.56),
(2291,'7/25/2000', 203,20195.74),
(2294,'9/4/1999', 204,2842.049),
(2297,'7/9/1999', 205,19245.76),
(2300,'1/7/2000', 206,5454.829),
(2303,'11/25/1999', 207,2206.141),
(2306,'1/28/2000', 208,4744.707),
(2309,'7/7/1999', 209, 6390.97),
(2312,'4/11/1999', 210,9539.196),
(2315,'12/24/2000', 211,7864.815),
(2318,'5/15/1999', 212, 872.542),
(2321,'1/7/2000', 213,3318.323),
(2324,'11/4/1999', 214,5763.722),
(2327,'6/9/1999', 215,944.3873),
(2330,'4/13/1999', 216,511.0076),
(2333,'6/28/1999', 217,12801.39),
(2336,'9/25/1999', 218,20621.01),
(2339,'7/17/1999', 219,27869.35),
(2342,'3/11/2000', 220,623.9558),
(2345,'5/16/1999', 221,20758.23),
(2348,'4/8/1999', 222,10280.78),
(2351,'7/8/2000', 223,33963.38),
(2354,'4/7/1999', 224,4988.438),
(2357,'5/8/2000', 225,177.7306),
(2360,'4/4/1999', 226,3673.922),
(2363,'2/25/1999', 227,5418.243),
(2366,'12/6/2000', 228,9651.242),
(2369,'2/19/2000', 229,801.9194),
(2372,'8/12/2000', 230,2035.503),
(2375,'1/21/2000', 231,2476.122),
(2378,'1/9/1999', 232,4527.432),
(2381,'1/27/1999', 233,275.1983),
(2384,'8/24/1999', 234, 2747.21),
(2387,'8/22/2000', 235,2454.241),
(2390,'2/2/1999', 236,2111.672),
(2393,'8/9/1999', 237,1387.837),
(2396,'12/8/2000', 238,    1163),
(2399,'7/12/1999', 239,3890.431),
(2402,'4/21/2000', 240,239.6195),
(2405,'4/6/2000', 241,1842.653),
(2408,'8/20/1999', 242,2152.329),
(2411,'3/12/2000', 243,3005.124),
(2414,'8/2/1999', 244,2638.944),
(2417,'2/26/2000', 245,2431.208),
(2420,'5/23/2000', 246,42.41151),
(2423,'2/21/2000', 247,841.1042),
(2426,'7/17/2000', 248,3386.254),
(2429,'1/3/2000', 249,1843.864),
(2432,'10/11/2000', 250,1357.021),
(2435,'11/13/2000', 251,2883.029),
(2438,'4/13/2000', 252,236.1756),
(2441,'1/10/1999', 253,142.5996),
(2444,'7/15/1999', 254,2718.375),
(2447,'4/26/1999', 255,989.5613),
(2450,'4/27/2000', 256,6972.301),
(2453,'2/24/1999', 257,130.9576),
(2456,'11/10/1999', 258,6262.766),
(2459,'11/18/2000', 259,3086.867),
(2462,'10/28/2000', 260,20.02136),
(2465,'12/10/1999', 261,4172.872),
(2468,'12/10/2000', 262,1533.623),
(2471,'12/1/2000', 263,3092.681),
(2474,'10/9/2000', 264,3854.422),
(2477,'1/19/2000', 265,9572.416),
(2480,'12/15/1999', 266,12107.02),
(2483,'6/12/1999', 267,249.8177),
(2486,'3/8/1999', 268,11433.34),
(2489,'3/15/2000', 269,905.8667),
(2492,'5/15/2000', 270,431.7046),
(2495,'11/10/2000', 271,7490.943),
(2498,'7/4/2000', 272, 4332.43),
(2501,'3/20/1999', 273,11927.34),
(2504,'7/21/2000', 274,6024.322),
(2507,'9/20/1999', 275, 84.9894),
(2510,'5/15/2000', 276,4547.415),
(2513,'5/23/2000', 277,4440.402),
(2516,'9/28/1999', 278,9733.886),
(2519,'9/13/2000', 279,1155.452),
(2522,'10/20/2000', 280,7285.954),
(2525,'6/19/1999', 281,466.4518),
(2528,'11/1/1999', 282,8143.997),
(2531,'11/28/2000', 283,2163.073),
(2534,'10/22/1999', 284,9218.228),
(2537,'7/10/2000', 285,9369.708),
(2540,'6/28/2000', 286,7669.178),
(2543,'2/25/2000', 287,2292.681),
(2546,'9/24/2000', 288,2701.859),
(2549,'8/12/1999', 289,3648.877),
(2552,'10/21/1999', 290,3701.036),
(2555,'3/19/2000', 291,6146.988),
(2558,'2/16/1999', 292,3093.035),
(2561,'12/8/2000', 293, 3779.69),
(2564,'4/22/2000', 294,4568.839),
(2567,'4/8/2000', 295,2762.885),
(2570,'4/23/2000', 296,8000.067),
(2573,'5/4/2000', 297, 7879.64);
-- end of TRANSACTION DATA
